## desktop-switcher 0.1

=== Makefile ===
SRCDIR = src
SOURCES = $(SRCDIR)/desktop-switcher.c
LIB=desktop-switcher.so
DATA_FILE=desktop-switcher.desktop
BUILDDIR = build
PKG_FLAGS=$(shell pkg-config hildon-1 libhildondesktop-1 --libs --cflags)
CCFLAGS=-shared
HILDON_WIDGET_LIB_DIR=$(shell pkg-config libhildondesktop-1 --variable=hildondesktoplibdir)
HILDON_WIDGET_DATA_DIR=$(shell pkg-config libhildondesktop-1 --variable=hildonhomedesktopentrydir)
DESKTOP_SWITCHER_IMAGE_PATH=/usr/share/pixmaps/desktop-switcher
DESKTOP_SWITCHER_ICON_09=switch_desktop_09.png
DESKTOP_SWITCHER_ICON_08=switch_desktop_08.png
DESKTOP_SWITCHER_ICON_07=switch_desktop_07.png
DESKTOP_SWITCHER_ICON_06=switch_desktop_06.png
DESKTOP_SWITCHER_ICON_05=switch_desktop_05.png
DESKTOP_SWITCHER_ICON_04=switch_desktop_04.png
DESKTOP_SWITCHER_ICON_03=switch_desktop_03.png
DESKTOP_SWITCHER_ICON_02=switch_desktop_02.png
DESKTOP_SWITCHER_ICON_01=switch_desktop_01.png
DESKTOP_SWITCHER_ICON_LEFT=switch_left.png
DESKTOP_SWITCHER_ICON_RIGHT=switch_right.png
CC=gcc

#HILDON_WIDGET_LIB_DIR=/usr/lib/hildon-desktop
#HILDON_WIDGET_DATA_DIR=/usr/share/applications/hildon-home

all:
	mkdir -p $(BUILDDIR)
	$(CC) $(CCFLAGS) $(PKG_FLAGS) $(SOURCES) -o $(BUILDDIR)/$(LIB)

install: all
	install -d $(DESTDIR)/$(HILDON_WIDGET_LIB_DIR)
	install $(BUILDDIR)/$(LIB) $(DESTDIR)/$(HILDON_WIDGET_LIB_DIR)
	install -d $(DESTDIR)/$(HILDON_WIDGET_DATA_DIR)
	install data/$(DATA_FILE) $(DESTDIR)/$(HILDON_WIDGET_DATA_DIR)
	install -d $(DESTDIR)/$(DESKTOP_SWITCHER_IMAGE_PATH)
	install data/$(DESKTOP_SWITCHER_ICON_09) $(DESTDIR)/$(DESKTOP_SWITCHER_IMAGE_PATH)
	install data/$(DESKTOP_SWITCHER_ICON_08) $(DESTDIR)/$(DESKTOP_SWITCHER_IMAGE_PATH)
	install data/$(DESKTOP_SWITCHER_ICON_07) $(DESTDIR)/$(DESKTOP_SWITCHER_IMAGE_PATH)
	install data/$(DESKTOP_SWITCHER_ICON_06) $(DESTDIR)/$(DESKTOP_SWITCHER_IMAGE_PATH)
	install data/$(DESKTOP_SWITCHER_ICON_05) $(DESTDIR)/$(DESKTOP_SWITCHER_IMAGE_PATH)
	install data/$(DESKTOP_SWITCHER_ICON_04) $(DESTDIR)/$(DESKTOP_SWITCHER_IMAGE_PATH)
	install data/$(DESKTOP_SWITCHER_ICON_03) $(DESTDIR)/$(DESKTOP_SWITCHER_IMAGE_PATH)
	install data/$(DESKTOP_SWITCHER_ICON_02) $(DESTDIR)/$(DESKTOP_SWITCHER_IMAGE_PATH)
	install data/$(DESKTOP_SWITCHER_ICON_01) $(DESTDIR)/$(DESKTOP_SWITCHER_IMAGE_PATH)
	install data/$(DESKTOP_SWITCHER_ICON_LEFT) $(DESTDIR)/$(DESKTOP_SWITCHER_IMAGE_PATH)
	install data/$(DESKTOP_SWITCHER_ICON_RIGHT) $(DESTDIR)/$(DESKTOP_SWITCHER_IMAGE_PATH)


.PHONY: clean install

clean:
	rm -rf build

=== debian/changelog ===
desktop-switcher (0.1) unstable; urgency=low

  * Initial Release.

 -- Nicolai Hess <nicolaihess@web.de>  Thu,  7 Oct 2010 01:34:13 +0200

## desktop-switcher 0.2

=== debian/changelog ===
desktop-switcher (0.2) unstable; urgency=low

  * icon size and icon transparency configurable
  * buttonpress now with visual feedback

 -- Nicolai Hess <nicolaihess@web.de>  Sat, 16 Oct 2010 01:07:13 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) DESTDIR=$(CURDIR)/debian/desktop-switcher install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## desktop-switcher 0.2ubuntu5netbook0unr1

=== debian/changelog ===
desktop-switcher (0.2ubuntu5netbook0unr1) hardy; urgency=low

  * Patch for UNR support

 -- Neil J. Patel <neil.patel@canonical.com>  Wed, 23 Jul 2008 13:29:07 +0100

desktop-switcher (0.2ubuntu5) hardy; urgency=low

  * Add blank pos
  * Don't mark stock icon names in ui.xml as translatable

 -- Michael Terry <michael.terry@canonical.com>  Wed, 16 Jul 2008 11:27:17 -0400

desktop-switcher (0.2ubuntu3) hardy; urgency=low

  * Change "Netbook Desktop" to "Dell Desktop"

 -- Neil J. Patel <neil.patel@canonical.com>  Mon, 14 Jul 2008 12:40:40 +0100

desktop-switcher (0.2ubuntu2) hardy; urgency=low

  * Make sure to create the ~/.config/autostart directory

 -- Neil J. Patel <neil.patel@canonical.com>  Thu, 03 Jul 2008 12:25:02 +0100

desktop-switcher (0.2ubuntu1) hardy; urgency=low

  * Make sure we launch nautilus if it's not already launched when switching
  to classic mode.

 -- Neil J. Patel <neil.patel@canonical.com>  Wed, 02 Jul 2008 16:05:53 +0100

desktop-switcher (0.2) hardy; urgency=low

  * Updated icons

 -- Neil J. Patel <neil.patel@canonical.com>  Tue, 01 Jul 2008 17:44:52 +0100

desktop-switcher (0.1) hardy; urgency=low

  * Initial release.

 -- Neil J. Patel <neil.patel@canonical.com>  Tue, 01 Jul 2008 10:45:56 +0100

## desktop-switcher 0.2ubuntu5netbook0unr2

=== debian/changelog ===
desktop-switcher (0.2ubuntu5netbook0unr2) hardy; urgency=low

  * desktop-switcher needs to toggle maximus undecorate setting (LP: #251559)

 -- Neil J. Patel <neil.patel@canonical.com>  Fri, 25 Jul 2008 12:23:55 +0100

## desktop-switcher 0.2ubuntu5netbook0unr3

=== debian/changelog ===
desktop-switcher (0.2ubuntu5netbook0unr3) hardy; urgency=low

  * Turn off user switching in netbook mode
  * Add libgconf2-dev to Build-Depends

 -- Michael Terry <michael.terry@canonical.com>  Wed, 27 Aug 2008 14:16:12 -0400

=== debian/control ===
Source: desktop-switcher
Section: gnome
Priority: extra
Maintainer: Neil J. Patel <neil.patel@canonical.com>
Build-Depends: cdbs, debhelper (>= 5), 
  autotools-dev, 
  gnome-pkg-tools (>= 0.10),
  libglib2.0-dev (>= 2.15.5),
  libpango1.0-dev (>= 1.18.0),
  libgtk2.0-dev (>= 2.10.0),
  libgconf2-4 (>= 2.16.0),
  libcairo2-dev (>= 1.2.4),
  libgconf2-dev
Standards-Version: 3.7.2

Package: desktop-switcher
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} libclutter-0.6-0
Description: A desktop-mode switching capplet
 A desktop-mode switcher capplet

## desktop-switcher 0.2ubuntu5netbook0unr4

=== debian/changelog ===
desktop-switcher (0.2ubuntu5netbook0unr4) hardy; urgency=low

  * Added two missing translations to all pos so they are now complete 

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Thu, 18 Sep 2008 13:38:59 +0000

## desktop-switcher 0.3

=== debian/changelog ===
desktop-switcher (0.3) unstable; urgency=low

  * fixed memoryleak: gconfclient wasn't unreffed

 -- Nicolai Hess <nicolaihess@web.de>  Sat, 20 Nov 2010 00:02:38 +0100

=== debian/control ===
Source: desktop-switcher
Priority: extra
Maintainer: Nicolai Hess <nicolaihess@web.de>
Build-Depends: debhelper (>= 5), libgtk2.0-dev, libhildon1-dev, libhildondesktop1-dev, libgconf2-dev, libx11-dev, libxtst-dev, libxi-dev
Standards-Version: 3.7.2
Section: user/desktop

Package: desktop-switcher
Architecture: any
Depends: ${shlibs:Depends}
Description: Desktop Switcher Widget
 Desktop home plugin to switch between active
 destops/views.
XB-Maemo-Display-Name:Desktop Switcher
XSBC-Bugtracker: mailto:nicolaihess@web.de
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAJsA3gD/9YBayQAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9oKCAwvAZx0VDgAAAv5SURBVGje7ZjJryXXXcc/Z6iqe+sOb57a76Wn
 1213uu222207bjtKDBhMBJIXDgYUQEJZsWHDH4CExIYFQgKxsBASC6SAQIiI
 ITgkjogTG4e426bnbvfsN7/77n3vDlV1zvmxqGt3e1AcLLzifVe3ruqc8/vW
 bzjf3w92sYtd7GIXu9jFLj41FNpKdfExJhaPU+xs0Vm+Trb8DjLogdZorZEQ
 EEDFFUQE8h4EB9qCUuVOIYDWYBMIHpRGupvq3sP2fO0PRe9ssnB4kej+k9jm
 GHNVi3I5aRxR8znVRp3v/sUfc+7sWWb2HSKZmidbvUnr3dus//hbSPAg5f4g
 WB1XMJUUZ1IC22gdoytNsAnaWOrNMdpLVwlFAVkPjC03CYJSgtIawSCqAF+U
 JExckvgQxh84zmTVMLJnnq5NqFiYblQYi2vkAeZqEe1+ztd+53f50z9/ifr8
 /RRZj/umZtnp9hAEk6T4wfbw8xvs9NFTFM09rN+4SFqtoqKEdGKGPMsxGgrv
 wEQoV2CTlD/45x9RZANAhi5USOkfFIAaPgvM7j908V4C7e4AYzQighMhMobE
 aIwCrRRBhGpeMD81zQsv/gp5EVhrd4hGZmkt32JlZJbG+CSdO1cI/R1QYI8/
 +zxtM8K1s2fwWZ9Or8tYNWVs4TDbS9cZFI5o9jCSd/G9DkWW4ZwjeA8SkBBK
 L3h3N5yGEJEuQ6oKyIoC7TQ+CF4EHwtGWZQuyVutODE3wvXtnP0HDhDyjN61
 ZdpL1zj++BfYvHae5Qs/ZnTfMTrvnMblGTavjKE9LCzMg7IsnHqSa1cvsra6
 zMLRR3nkyadZ32yxcesaV868jjIWyXOUUigTY6zBOY/SBvEFCoWOY0xURSul
 KhaMhtyVPvI+EEQQpXBB6LtArhVWKapW88Zmxp3OgKkkoqY8e8ZqXDrXYfFz
 czzz61+nt3abwcYK3/yjVwHB2PrU76ejU7RvXKSWxnz+iSepT8/yxYcO8ZVf
 +DmePfUoS0UE1RGqU/M8eOIEkbWYKCZJ6xTOEYoBaphUyhhQBqU1c9Njy+c3
 4L9XYawCVtxs7t8LM4UEQQkEAas1Siu+fbNDPytQEmhttHhs/zSdLOc7//5d
 RkfHmD90lJvrO+y0OyhjsLo2jtUQ1yp0ux2mqoovHzvBTu5oB8Ny3zM+Mcr5
 i1eZnp0jrdcpKhWKLKff3UYZS7UxQghCHMdoY+kNBkykhjdXYK1bhtOZVdjb
 jEkSTy/3KK0xWoOEYUUpMyrSMRWEx6ZqXBRPPwj3jaREcUJndYn4gSNkXjAj
 06RJFbv42FNceeN7dJcu8/yv/SYH9i4wUU+peWFlvcvNnqB9xtlzF2hUU049
 +7P4wgGKJKmQZX2iegOrNWkcYzTMTTS4sKlY7YEepoUP8M6W5si4kMaKoDTG
 aArny8RW4AV0EGbqKftHK0zVIm51HdOzs3z9N75KZBSbPuKXfuZJvpV1Of2v
 38BOTI5jnn6Gk3u/yuNHFumoCsvdnDdvLbOcK2ppyomZSX77hV/E+AIjAaUF
 L4pKrUalmmCjmMRatBJGK5rrbYUTed/4YXEi93C5ZTg1Lyz3IADaaDyKWJXv
 NOspmQm8vQ3KK2arllZWI1BlI8u53d5mT6LY9/mjFP3n0EvdgoeOHGbh4CFu
 9YSqFm6tt9jqOyI0Pz/fwLmCtWBpzExjrCWtJEw3q2gEYyNia0HBZM1wpaVZ
 7fIxFQlSq3hkBgYFVM3QaBRWgdVgFSyORBwaiWjlinrVsjZQjCYRsYJGpcIT
 8016vT5Ba3oebGYSNvoF8XqL+dE6N7YyoqRK6K+RW89GaxMrntutDc6/u8xX
 vjiBBMGnFdJKjPOldRULp1egkwlWgVEfNN5oODpZkug6hUcoAlgCSoQiGIyB
 moI7OwUFmsV6RL1myRxESYWZWGhaw+zR/az2C54+OIm9fPY8eb6X+tFFbu4o
 rIalzU3QMK4GrG9bttZXaWhH22ck1pAVjhA8IoZaojEqcPrdjI0e1NMqxoAL
 d40HOD4N40lJMISA+ICg8VpjlSJzDo3m+k7BgboljRSXlzeYm2gymkRMGWE8
 gRutjEasWd/uc2LvPPbk8SPsu2+cQgXW+o6DEzW+tHgfuQ/M1CP+5JvfYd/M
 FOMTI/zWl/dyeaBJk5jIWnwIjCSK0yuKdhERxwpQ5F5wctf4p+Yh0rA5EASF
 Q1EEwUnA+dJbwXuMhlfu7DBYGOMLo/DonlFeWXU8uwc2s8DN7UA1ilhoGPak
 TW60drDPPLzIWyttmqZKmtaIbMR65tjoZdzZLnj44H4emp9mLI15+fIKDyzu
 Q5UVn0R7zq7BdqaoRgajFEqVhjsp0+DYJEQGBg4GXkgihQ4KbETIHcFlBKVJ
 rKZiNI80Azc32mz1YtYLS8MIh7ogztFIIsaqmkqk6CvNzNg49tVrW4w2arSL
 iDs7BRPVhGPNmKPjMat94bSP2FIJUnieP7rA5VwRaSgCODFMpbA5KGu4B7wX
 siD0nWCUYWMAcw3IPOQ+4FA4IPhA8A4VAuIyMm/JrOHlnRqDjWXIB0Q7G9TG
 pynUAR6ZqHBMw3+sC20XOFRTTMaCPTAzwXYWeG2pz463LK0tMduISetVnplL
 2dNM2XbCU9MWpSD2ECFYo8iDoDUcm4IfLUGvgL7zeF9QFI5GrcG72yXZJ++D
 W9uCZANwGXdzXCA4QhEImWLpH/6SuF7Dvfb32HyH6IXf42q9yeam5hsrS6z3
 MuKkwnMP38+p6Rh7eaPHty+uM9pssFMMUBNjzM00cN5zbkfx+Dg8Mq45syWc
 HCvDYyDDuJVSpGkF90/CmytC7jySDZAiQ9UbAKx24Yd3YEz16Q0ypMhKOaE1
 SobZ7gqwgpx9hcHtt0ECzsRsXjrDTjLKpZf/CjbvUE0S3P7jXGi8yHp/Hrtv
 ssnJEHG5lVNvpjw0m3JyTLM3NRigamAth7+51uUHdxxH9zQRgUZUXkQ9JxRB
 EenA3objQibkEghF/v431qqUFJvrKxycjOg5V6rYKAGXg8sADY06snIZQaOK
 AdTG6b32j/T+858IV17Hzh9Bnn6R/NY5bl06S9acwbZNwtxMheZE6X4bafqF
 8E4rZyo11KuKTs8z2bnBD+60WZx+jO4goyVCZA1jaYIHugUkRvHgZMFbKzEF
 5iMNzeq2owiKoxOOdgaqyMAXiNKI9+AdsrWEQiPVJixdRPIeiKCSlPC547ja
 JJWF++nnBe9cuoSN8z557vDdAVvtLunUBC93NNfefoOp+QPYUFAZneD83/41
 fZuSfelhss4mUdqg1++SuxpRUillsisg73GgknNhG0RGP3ghe0eRebQowA5b
 T4UKoezmJKD6HcQm0NuCUJTrjIV0DG68Ba5HNjJDfuZ7UKljf/Vgg06AH567
 xuudghs3rrOx+i65qbB+6yqb211Mc4K4OclEHKF8hmRdnMtRJqIYllRlI4og
 aC+k2nO4mbOiSxH3HonxSuDwuKLdVyiKsnNTqsyD4TuiDeRdUOYDxGVrCWnd
 Jlu6iK7UUTYiKIP9r5ZQMRCm97O/KbSuXKNz8xVqT/wy7Vf/jn6/j7/4KonP
 WUtGKF54DvIMdEGQgDIWN9hGJTW0jSGK6TuoRIGnF+D7t8pbebQC0+PQd1IO
 BtTdIiRK8/4fLi97apFSZr+X5OJLUuIJva33udk/e2uNB0cMg942V9e3WXeK
 rD7Jzunvw8U3kNvnIduhv7WEMnE5fUCQ4cbiXfmFBqXwV9qAiciGMuLRWbja
 Ksvo6dXh7XxvWA17AaV06Sqlhkn9MZCPDgps619e4lU83fXlUlylDaS9hrr5
 FmH5CvQ6w6YdJIRPnNOUE4vyoNxDGsHJPeVl9xHjywV314l87DTjJ8F2/u0l
 ZO0GyibokSm8d4TOOhKGTbqxZYIBBF+6X0pBxk9BZ+BKGVEKO/9+RHx0QPXp
 YO3M5/DZDmF7E79554MSUpu7xg+RpHUqtUZJ5JMxe+9Dc3L2J9P96fb8IHEz
 Oi2h2y5vx89i8vchG//PD1DGiiDg/Wdgt3z2BFBqeIr639v4CeaIhI8hcO/C
 D/1WMny8p8Z+6uzYxS52sYtd/H/A/wBude43LWEgHQAAAABJRU5ErkJggg==
 ====

## desktop-switcher 0.3.0

=== debian/changelog ===
desktop-switcher (0.3.0) hardy; urgency=low

  * Gnome panel does not remember customizations when Mode is ch (LP: #250908)
    - Add support for saving current panel configuration and restoring
      from that if available.

 -- Neil J. Patel <neil.patel@canonical.com>  Fri, 03 Oct 2008 13:22:17 +0100

desktop-switcher (0.2ubuntu8) hardy; urgency=low

  * Disable user switching in non-Classic mode

 -- Michael Terry <michael.terry@canonical.com>  Thu, 28 Aug 2008 08:53:30 -0400

desktop-switcher (0.2ubuntu7) hardy; urgency=low

  * Add/remove suppression files for applications/settings menu

 -- Neil J. Patel <neil.patel@canonical.com>  Thu, 14 Aug 2008 17:32:33 +0100

desktop-switcher (0.2ubuntu6) hardy; urgency=low

  * Update belmont pos: de, es, fr, hu, it, ja, pl, pt_BR, ru, zh_CN, zh_TW 

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Tue, 05 Aug 2008 20:02:58 +0000

=== debian/control ===
Source: desktop-switcher
Section: gnome
Priority: extra
Maintainer: Neil J. Patel <neil.patel@canonical.com>
Build-Depends: cdbs, debhelper (>= 5), 
  autotools-dev, 
  gnome-pkg-tools (>= 0.10),
  libglib2.0-dev (>= 2.15.5),
  libpango1.0-dev (>= 1.18.0),
  libgtk2.0-dev (>= 2.10.0),
  libgconf2-4 (>= 2.16.0),
  libcairo2-dev (>= 1.2.4)
Standards-Version: 3.7.2

Package: desktop-switcher
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} libclutter-0.6-0
Description: A desktop-mode switching capplet
 A desktop-mode switcher capplet

## desktop-switcher 0.3.2

=== debian/changelog ===
desktop-switcher (0.3.2) hardy; urgency=low

  * [desktop-switcher] store panel layout when switching (LP: #275206)
    - Implement support for saving and restoring panel states between switches

 -- Neil J. Patel <neil.patel@canonical.com>  Wed, 22 Oct 2008 12:21:35 +0100

desktop-switcher (0.3.1) hardy; urgency=low

  * Bump release for all the changes

 -- Neil J. Patel <neil.patel@canonical.com>  Wed, 24 Sep 2008 12:05:50 +0100

desktop-switcher (0.3) hardy; urgency=low

  * Initial packaging for release.

 -- Neil J. Patel <neil.patel@canonical.com>  Wed, 24 Sep 2008 12:02:09 +0100

## desktop-switcher 0.3.3

=== debian/changelog ===
desktop-switcher (0.3.3) hardy; urgency=low

  * Rename po/no.po to po/nb.po, since 'no' for Norwegian is ambiguous and
    deprecated and comparison of the new oem-config translations confirms
    that they're Norwegian Bokmaal (not Nynorsk).  LP: #299622.
  * The language code for Slovak is sk, not sl; move stuff around in
    preparation for an updated Slovak translation.  Partially addresses
    #299625.

 -- Steve Langasek <steve.langasek@canonical.com>  Thu, 20 Nov 2008 15:24:57 -0500

## desktop-switcher 0.3.4

=== debian/changelog ===
desktop-switcher (0.3.4) hardy; urgency=low

  * Incorporate updated Slovak translations.  LP: #299625.

 -- Steve Langasek <steve.langasek@canonical.com>  Fri, 21 Nov 2008 15:12:46 -0500

## desktop-switcher 0.3.6netbook0natick2

=== debian/changelog ===
desktop-switcher (0.3.6netbook0natick2) hardy; urgency=low

  * Removed fast-switcher-applet from panel of classic view (LP# 286814)

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Wed, 07 Jan 2009 20:19:51 +0000

desktop-switcher (0.3.6netbook0natick1) hardy; urgency=low

  * Port 0.3.3netbook0natick1 changes to 0.3.6
    * Include thunderbird and not evolution in panel
    * Include desktop-switcher in panel
    * Remove mixer from panel since Natick has a separate app
      (quick-control-panel) to control volume

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Mon, 15 Dec 2008 20:37:49 +0000

desktop-switcher (0.3.6) hardy; urgency=low

  * Allow a "headless" mode to the switcher so 
    desktop-switcher --set-mode=[classic|netbook] will perform the switch
    without user interaction.

 -- Neil J. Patel <neil.patel@canonical.com>  Tue, 09 Dec 2008 11:34:08 -0800

desktop-switcher (0.3.5) UNRELEASED; urgency=low

  * Restore the Slovenian translation - even if not required for any
    current projects, there's no sense in discarding it now that we have
    it
  * debian/control: Add a Vcs-Bzr field pointing back to the source repo

 -- Steve Langasek <steve.langasek@canonical.com>  Mon, 24 Nov 2008 02:26:16 -0800

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,10 @@
   libpango1.0-dev (>= 1.18.0),
   libgtk2.0-dev (>= 2.10.0),
   libgconf2-4 (>= 2.16.0),
-  libcairo2-dev (>= 1.2.4)
+  libcairo2-dev (>= 1.2.4),
+  libgconf2-dev
 Standards-Version: 3.7.2
+Vcs-Bzr: https://code.launchpad.net/~netbook-remix-team/desktop-switcher/trunk
 
 Package: desktop-switcher
 Architecture: any

## desktop-switcher 0.4.6.1unr2

=== debian/changelog ===
desktop-switcher (0.4.6.1unr2) unr; urgency=low

  * src/main.c - disable user_switching for classic mode as it does not
    work LP: #371523  

 -- Bill Filler <bill.filler@canonical.com>  Mon, 04 May 2009 22:55:02 -0400

desktop-switcher (0.4.6.1unr1) unr; urgency=low

  * 11_dont_open_nautilus.patch:
    - Don't open nautilus after switching to Classic desktop.

 -- Michael Terry <michael.terry@canonical.com>  Wed, 29 Apr 2009 14:59:35 -0400

desktop-switcher (0.4.6.1) unr; urgency=low

  * fixed broken build, need to first run autogen.sh 

 -- Bill Filler <bill.filler@canonical.com>  Mon, 27 Apr 2009 11:23:45 -0400

desktop-switcher (0.4.6) unr; urgency=low

  * Explicitly set the required_components list. This helps to mend broken
    setups

 -- Neil J. Patel <neil.patel@canonical.com>  Mon, 27 Apr 2009 09:40:44 +0100

desktop-switcher (0.4.5) jaunty; urgency=low

  * Try again to not eat session components

 -- Neil J. Patel <neil.patel@canonical.com>  Thu, 09 Apr 2009 15:07:55 +0100

desktop-switcher (0.4.4-1) jaunty; urgency=low

  * Copy over the current components list to avoid any issues with list 
    pointers not matching

 -- Neil J. Patel <neil.patel@canonical.com>  Thu, 09 Apr 2009 11:50:44 +0100

desktop-switcher (0.4.4) jaunty; urgency=low

  * Make sure that we don't remove the wrong components from gnome-session's
    required components list

 -- Neil J. Patel <neil.patel@canonical.com>  Mon, 06 Apr 2009 11:40:58 +0100

desktop-switcher (0.4.3-1) jaunty; urgency=low

  * Switch Desktop Mode corrupted settings (LP: #349519)
    - We were corrupting the required_components_list when switching back to
      netbook mode, which should be fixed now.

 -- Neil J. Patel <neil.patel@canonical.com>  Fri, 27 Mar 2009 16:04:53 +0000

desktop-switcher (0.4.3) UNRELEASED; urgency=low

  * Handle both launcher versions (ume- and netbook-) more cleanly.
    - Disable or enable them together, regardless of what is currently
      running.  The running launcher might not be the same as what is 
      installed, after an upgrade.
    - Kill both versions, not just netbook-launcher, when switching.
    - LP: #344931
  * debian/control:
    - Add missing comma to Depends line

 -- Michael Terry <michael.terry@canonical.com>  Thu, 26 Mar 2009 16:35:13 -0400

desktop-switcher (0.4.2) hardy; urgency=low

  * Relaunch metacity and launch nautilus when switching to classic mode
  * Add/remove nautilus from the session manager's required components list

 -- Neil J. Patel <neil.patel@canonical.com>  Thu, 12 Feb 2009 12:32:37 +0000

desktop-switcher (0.4.1) hardy; urgency=low

  * Launch netbook-launcher, not ume-launcher!

 -- Neil J. Patel <neil.patel@canonical.com>  Thu, 12 Feb 2009 11:44:48 +0000

desktop-switcher (0.4.0) hardy; urgency=low

  * Add process checking to determine which mode we are currently in
  * Add support for netbook-launcher

 -- Neil J. Patel <neil.patel@canonical.com>  Tue, 23 Dec 2008 15:50:06 +0000

desktop-switcher (0.3.8) UNRELEASED; urgency=low

  [ Kyle Nitzsche ]
  * po/pt.po: replace untranslated po with translated

  [ Neil J. Patel ]
  * i

 -- Neil J. Patel <neil.patel@canonical.com>  Tue, 23 Dec 2008 15:43:08 +0000

desktop-switcher (0.3.7) UNRELEASED; urgency=low

  * po/LINGUAS: added pt locale
  * po/pt.po added this file

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Tue, 16 Dec 2008 16:25:08 -0500

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,6 @@
 
 Package: desktop-switcher
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends} libclutter-0.6-0
+Depends: ${shlibs:Depends}, ${misc:Depends}, procps
 Description: A desktop-mode switching capplet
  A desktop-mode switcher capplet

## desktop-switcher 0.4.6.1unr2buffalo1

=== debian/changelog ===
desktop-switcher (0.4.6.1unr2buffalo1) buffalo; urgency=low

  * disable user-switch for classic mode as it's busted LP: #371523 

 -- Bill Filler <bill.filler@canonical.com>  Mon, 04 May 2009 22:42:01 -0400

desktop-switcher (0.4.6.1unr1buffalo1) buffalo; urgency=low

  * New unr release, doesn't open nautilus when switching to Classic
    mode.  LP: #368884

 -- Michael Terry <michael.terry@canonical.com>  Wed, 29 Apr 2009 15:02:15 -0400

desktop-switcher (0.4.6.1buffalo1) buffalo; urgency=low

  * added debian/patches/01_remove_netbook.patch for buffalo 

 -- Bill Filler <bill.filler@canonical.com>  Mon, 27 Apr 2009 11:34:09 -0400

## desktop-switcher 0.4.6.1unr5

=== debian/changelog ===
desktop-switcher (0.4.6.1unr5) netbook-jaunty; urgency=low

  * 12_add_efl_launcher.patch: Add netbook-launcher-efl.desktop to
    data/Makefile.in as well so file gets installed
  * 12_add_efl_launcher.patch: Modify netbook-launcher-efl.desktop so
    "X-GNOME-Autostart-enabled=false" is specified
  * 12_add_efl_launcher.patch: Modify main.c patch so
    netbook-launcher-efl.desktop is properly created when switching to classic.

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Thu, 27 Aug 2009 19:34:17 -0400

desktop-switcher (0.4.6.1unr4) netbook-jaunty; urgency=low

  * 12_add_efl_launcher.patch: add support for netbook-laucher-efl

 -- Bruno Dilly <bruno.dilly@canonical.com>  Fri, 07 Aug 2009 16:35:00 -0300

desktop-switcher (0.4.6.1unr3) netbook-jaunty; urgency=low

  * No-change push to netbook-jaunty

 -- Michael Terry <michael.terry@canonical.com>  Tue, 16 Jun 2009 12:52:32 -0400

## desktop-switcher 0.4.6.1unr5araneo7

=== debian/changelog ===
desktop-switcher (0.4.6.1unr5araneo7) araneo; urgency=low

  * 16_background_save.patch: Make additional modifications to properly save
    and restore background between modes
  * 12_add_efl_launcher.patch: Update netbook-panel-config.xml to match
    efl-launcher settings

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Sat, 29 Aug 2009 23:18:28 -0400

desktop-switcher (0.4.6.1unr5araneo6) araneo; urgency=low

  * 16_background_save.patch: Save and restore background settings for netbook
    and classic mode.

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Sat, 29 Aug 2009 19:31:02 -0400

desktop-switcher (0.4.6.1unr5araneo5) araneo; urgency=low

  * 14_add_tbird_panel.patch: Rename 14_add_tbird_classic_panel.patch and
    specify thunderbird in netbook-panel-config.xml as well

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Sat, 29 Aug 2009 01:51:39 -0400

desktop-switcher (0.4.6.1unr5araneo4) araneo; urgency=low

  * 15_enable_user_switching.patch: Disable user switching for netbook mode and
    enable for classic mode

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Fri, 28 Aug 2009 23:46:45 -0400

desktop-switcher (0.4.6.1unr5araneo3) araneo; urgency=low

  * 15_enable_user_switching.patch: Make sure switching to netbook mode doesn;t
    disallow user switching either

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Fri, 28 Aug 2009 18:36:51 -0400

desktop-switcher (0.4.6.1unr5araneo2) araneo; urgency=low

  * 15_enable_user_switching.patch: Allow user switching in Araneo since it
    does not use a 3D launcher

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Fri, 28 Aug 2009 17:42:11 -0400

desktop-switcher (0.4.6.1unr5araneo1) araneo; urgency=low

  * 14_add_tbird_classic_panel.patch: Point e-mail icon in top panel of classic
    mode to thunderbird instead of evolution.

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Thu, 27 Aug 2009 19:53:14 -0400

## desktop-switcher 0.4.7netbook0natick5

=== debian/changelog ===
desktop-switcher (0.4.7netbook0natick5) natick; urgency=low

  * Replace natick-classic-panel-config.xml with the proper configuration for
    natick (matches data/classic-panel-config.xml in v. 0.3.6netbook0natick2)

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Mon, 13 Jul 2009 15:05:00 -0400

desktop-switcher (0.4.7netbook0natick4) natick; urgency=low

  * Splitting in two packages: desktop-switcher and desktop-switcher-cp.
  natick-classic-panel-config.xml: will replace classic-panel-config in
  desktop-switcher package.

 -- Bruno Dilly <bruno.dilly@canonical.com>  Wed, 24 Jun 2009 15:11:49 -0300

desktop-switcher (0.4.7netbook0natick3) natick; urgency=low

  * Removing the postinst script until a better solution is found.

 -- Luis Felipe Strano Moraes <luis.strano@canonical.com>  Wed, 22 Jun 2009 16:08:02 -0300

desktop-switcher (0.4.7netbook0natick2) natick; urgency=low

  * Added patch as a pre-dependency for desktop-switcher.

 -- Luis Felipe Strano Moraes <luis.strano@canonical.com>  Wed, 22 Jun 2009 14:22:02 -0300

desktop-switcher (0.4.7netbook0natick1) natick; urgency=low

  * Applying Debbie Beliveau's changes related to natick: 10_natick_configuration.patch
    * Removed fast-switcher-applet from panel of classic view (LP: #286814)
    * Include thunderbird and not evolution in panel
    * Include desktop-switcher in panel
  * Made the removal of the mixer from panel dependent on project (LP: #383074)
    * remove_mixer.patch applied as part of postinst

 -- Luis Felipe Strano Moraes <luis.strano@canonical.com>  Wed, 17 Jun 2009 16:23:07 -0300

desktop-switcher (0.4.7) UNRELEASED; urgency=low

  * src/main.c:
    - Drop extraneous call to nautilus that caused a nautilus window to
      pop up when switching to Classic mode.  LP: #368884

 -- Michael Terry <michael.terry@canonical.com>  Fri, 01 May 2009 09:28:39 -0400

desktop-switcher (0.4.6) jaunty; urgency=low

  * Explicitly set the required_components list. This helps to mend broken
    setups

 -- Neil J. Patel <neil.patel@canonical.com>  Mon, 27 Apr 2009 09:40:44 +0100

=== debian/control ===
--- 
+++ 
@@ -19,3 +19,9 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, procps
 Description: A desktop-mode switching capplet
  A desktop-mode switcher capplet
+
+Package: desktop-switcher-cp
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, procps
+Description: A desktop-mode switching capplet
+ A desktop-mode switcher capplet

=== debian/rules ===
#!/usr/bin/make -f 
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

install/desktop-switcher::
	install -D -m 0644 $(CURDIR)/debian/natick-classic-panel-config.xml $(CURDIR)/debian/desktop-switcher/usr/share/desktop-switcher/classic-panel-config.xml
